Bug 150395 - 0182-argb-visuals-default patch assumes 32bit depth
Summary: 0182-argb-visuals-default patch assumes 32bit depth
Status: RESOLVED FIXED
Alias: None
Product: kde
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-02 00:54 UTC by Derrick J. Wippler
Modified: 2007-12-18 11:55 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch utilizes XGetVisualInfo() to assign the correct depth (1007 bytes, patch)
2007-10-02 00:58 UTC, Derrick J. Wippler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Derrick J. Wippler 2007-10-02 00:54:39 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
Compiler:          g++ (GCC) 4.1.2 (Ubuntu 4.1.2-0ubuntu4) 
OS:                Linux

0182-argb-visuals-default patch in qt-copy trunk assumes 32bit depth. This causes problems on dual head 24bit depth display.

The visual problem created by the 0182-argb-visuals-default patch can be seen here.
http://ollie.thrawn01.org/files/kwrite-artifacts.png
In addition the application ( kwrite in this case ) is extremely slow.
This problem is not isolated to just KDE applications. The qt demo and example applications in the qt-copy tree also exhibit this behavior.
Comment 1 Derrick J. Wippler 2007-10-02 00:58:35 UTC
Created attachment 21734 [details]
Patch utilizes XGetVisualInfo() to assign the correct depth

This patch works on my box, However this may not be for public consumption.
Please review.
Comment 2 Pino Toscano 2007-10-04 11:26:16 UTC
SVN commit 720998 by pino:

Zack said this patch generates a large amount of problems, so removing it on his request.

BUG: 150395
CCMAIL: zack@kde.org


 D             0182-argb-visuals-default.diff  


WebSVN link: http://websvn.kde.org/?view=rev&revision=720998